# Class AssertException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
uk.ac.starlink.ttools.filter.AssertException

All Implemented Interfaces:
  `Serializable`

public class AssertException extends IOException
IOException which results from the failure of a user-level assertion.

Since:
  2 May 2006
Author:
  Mark Taylor
See Also:
  - `AssertFilter`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AssertException(String msg)`
Constructs an AssertException with a message.
`AssertException(String msg, Throwable e)`
Constructs an AssertException with a message and a cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AssertException

public AssertException(String msg)
Constructs an AssertException with a message.

Parameters:
  `msg` - message

### AssertException

public AssertException(String msg, Throwable e)
Constructs an AssertException with a message and a cause.

Parameters:
  `msg` - message
  `e` - cause